Bug 19922 - lost timer interrupts (*severe*)
Summary: lost timer interrupts (*severe*)
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-27 16:14 UTC by j. alan eldridge
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 02:59:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description j. alan eldridge 2000-10-27 16:14:18 UTC
massive loss of timer interrupts and hence system time is dramatically 
behind rtc clock (and dramatically behind our place in the space-time 
continuum as well).

losses of >20% wall time not unusual.

symptoms manifest when:

* ripping cds (setuid root, real-time scheduler)
* burning cds (setuid root, real-time scheduler)
* playing mp3s with xmms (*not root*)

hardware config (see wozzle.geeksrus.net on rhn):

asus pc3j133 (?i'm at work, not home?) 
via chipset
aha-2930cu
atapi cdrom as hdd
tdk atapi cd-rw as scd0
creative audio pci (es1371)
diamond supraexpress 56k usb modem
logitech usb mouse
voodoo 3000 agp video
smc pci 10/100 ethernet

Comment 1 Arjan van de Ven 2001-01-15 18:11:17 UTC
There is a known problem with via chipsets and losing time. It seems to
sometimes reset itself to
a frequency of 18Hz (the Windows default) while Linux programmed it to 100Hz.
It should be worked around as of the Linux 2.2.19-pre1 kernel.



Note You need to log in before you can comment on or make changes to this bug.